techsupport

Last published : Oct 30, 2026
Configuration for tech support resource.

Properties

(click to see Operations )
Name Data Type Permissions Description
scope <String> Read-write Use this option to gather data on the present node, all cluster nodes, or for the specified partitions. The CLUSTER scope generates smaller abbreviated archives for all nodes. The PARTITION scope collects the admin partition in addition to those specified. The partitionName option is only required for the PARTITION scope.
Default value: NODE
Possible values = NODE, CLUSTER, PARTITION
partitionname <String> Read-write Name of the partition.
Minimum length = 1
upload <Boolean> Read-write Securely upload the collector archive to Citrix Technical Support using SSL. MyCitrix credentials will be required. If used with the -file option, no new collector archive is generated. Instead, the specified archive is uploaded. Note that the upload operation time depends on the size of the archive file, and the connection bandwidth.
proxy <String> Read-write Specifies the proxy server to be used when uploading a collector archive. Use this parameter if the Citrix ADC does not have direct internet connectivity. The basic format of the proxy string is: "proxy_IP:<proxy_port>" (without quotes). If the proxy requires authentication the format is: "username:password@proxy_IP:<proxy_port>".
casenumber <String> Read-write Specifies the associated case or service request number if it has already been opened with Citrix Technical Support.
file <String> Read-write Specifies the name (with full path) of the collector archive file to be uploaded. If this is specified, no new collector archive is generated.
description <String> Read-write Provides a text description for the the upload, and can be used for logging purposes.
authtoken <String> Read-write Specifies the Authentication Token, which is used to login to Citrix upload server. Please copy/paste the URL https://cis.citrix.com/auth/api/create_identity_v2/?expiration=3600 in a browser to complete the two factor authentication and generate it. The token is valid for 3600 seconds (1 hour).
time <String> Read-write Specifies the time in common log format, ie. DD/MMM/YYYY:HH:MM:SS, to be used for locating the newnslog file. With this option at most four newnslog log files are collected. First is the newnslog file, spanning the given time. Second is the one, created just prior to the first (if it exists). Third is the one, created just later than the first (if it exists). And the fourth is the latest newnslog directory. In case, the scope is cluster, then second and third type is skipped on all nodes.
Minimum length = 20
Maximum length = 20
period <Integer> Read-write Specifies the time window in hours around the time specified by -time option. This parameter is only valid when -time is specified. Defines the range for collecting newnslog files, text logs, and non-PE core files. For example, with -time "01/Jan/2026:12:00:00" and -period 2, logs and cores from 11:00:00 to 13:00:00 will be collected.
Minimum value = 1
adss <Boolean> Read-write Option for collecting showtechsupport bundle on ADSS cluster/node.
notruncate <Boolean> Read-write Option for collecting showtechsupport bundle without truncating log files.
nopecore <Boolean> Read-write Option for collecting showtechsupport bundle without PE core files.
nodes <Integer[]> Read-write Use this option to collect showtechsupport bundle only from the nodes given as a list to this option. If -file option is used, it will collect the files from the given nodes back to the cco and will upload the compressed folder containing the files from there.
Minimum value = 0
Maximum value = 255
response <String> Read-only Output as text printed to console and syslog at NOTICE level.
servername <String> Read-only .
_nextgenapiresource <String> Read-only .

Operations

(click to see Properties )
  • GET (ALL)
Some options that you can use for each operations:
  • Getting warnings in response: NITRO allows you to get warnings in an operation by specifying the 'warning' query parameter as 'yes'. For example, to get warnings while connecting to the NetScaler appliance, the URL is as follows:
    http:// <netscaler-ip-address> /nitro/v1/config/login?warning=yes
    If any, the warnings are displayed in the response payload with the HTTP code '209 X-NITRO-WARNING'.
  • Authenticated access for individual NITRO operations: NITRO allows you to logon to the NetScaler appliance to perform individual operations. You can use this option instead of creating a NITRO session (using the login object) and then using that session to perform all operations,
    To do this, you must specify the username and password in the request header of the NITRO request as follows:
    X-NITRO-USER: <username>
    X-NITRO-PASS: <password>
    Note: In such cases, make sure that the request header DOES not include the following:
    Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
*Note: * Mandatory parameters are marked in red and placeholder content is marked in green

get (all)

URL: http:// <netscaler-ip-address> /nitro/v1/config/techsupport Query-parameters: args http:// <netscaler-ip-address> /nitro/v1/config/techsupport? args=scope: <String_value> ,partitionname: <String_value> ,upload: <Boolean_value> ,proxy: <String_value> ,casenumber: <String_value> ,file: <String_value> ,description: <String_value> ,authtoken: <String_value> ,time: <String_value> ,period: <Integer_value> ,adss: <Boolean_value> ,notruncate: <Boolean_value> ,nopecore: <Boolean_value> ,nodes: <Integer_value>
Use this query-parameter to get techsupport resources based on additional properties.
HTTP Method: GET
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Accept:application/json
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
Response Header:
Content-Type:application/json
Response Payload:
{ "techsupport": [ {
scope:<String_value>,partitionname:<String_value>,upload:<Boolean_value>,proxy:<String_value>,casenumber:<String_value>,file:<String_value>,description:<String_value>,authtoken:<String_value>,time:<String_value>,period:<Integer_value>,adss:<Boolean_value>,notruncate:<Boolean_value>,nopecore:<Boolean_value>,nodes:<Integer[]_value>"response":<String_value>,
"servername":<String_value>,
"_nextgenapiresource":<String_value>
}]}